<?php

namespace AuthDrivers;
use \Skeletons\AuthDriver;

class Flatfile extends AuthDriver {
	
	/**
	 * Session returns false if it doesn't exist
	 */
	public function check() {
		return $this->get_session();
	}
	
	/**
	 * Loop through users in config and see if details match
	 */
	public function attempt($username, $password) {
		foreach(\Config::get('auth', 'users') as $user) {
			if($user[0] == $username && $user[1] == $password) {
				$this->set_session($user[0]);
				return true;
			}
		}
		return false;
	}
	
	/**
	 * Get user info from config based on session
	 *
	 * @return [type]
	 */
	public function user() {
		
		$current = $this->check();
		
		if($current === false) return false;
		
		foreach(\Config::get('auth', 'users') as $user) {
			if($user[0] == $current) {
				return $user;
			}
		}
		
		// Should never get here
		return false;
		
	}
	
	/**
	 * Logs out when session is destroyed
	 */
	public function logout() {
		$this->unset_session();
	}
	
}