<?php

namespace Types;
use \Skeletons\Type;

class Checkbox extends Type {
	
	/**
	 * Display a checkbox-input
	 */
	public function input($field, $value) {
		return '<input type="checkbox" name="'.$field['id'].'" id="input-'.$field['id'].'" '.( $value == 1 ? 'checked' : '' ).' />';
	}
	
	/**
	 * Save 0 or 1
	 */
	public function filter($value) {
		return $value !== false ? 1 : 0;
	}
	
	/**
	 * Return 'Yes' or 'No' based on value
	 */
	public function in_listing($field, $value) {
		return $value == 1 ? 'Yes' : 'No';
	}
	
}