<?php

namespace Types;
use \Skeletons\Type;

class Connect extends Type {
	
	/**
	 * Display a dropdown with rows from another table
	 * 
	 * As text for options use $data['display']
	 * As the actual value for options use $data['value']
	 */
	public function input($field, $value) {
		
		// Data regarding 'connection'
		$data = $field['connect'];
		
		// Load the foreign section
		$section = \Load::section($data['section']);
		
		$return = '<select name="'.$field['id'].'">';
		
		$rows = $section->db->executeQuery('
			SELECT `'.$data['display'].'`, `'.$data['value'].'` FROM `'.$section->table.'`
		');
		
		while($row = $rows->fetch()) {
			$return .= '<option value="'.$row[$data['value']].'" ';
			$return .= ( $row[$data['value']] == $value ? 'selected="selected"' : '' ).'>';
				$return .= $row[$data['display']];
			$return .= '</option>';
		}
		
		$return .= '</select>';
		
		return $return;
		
	}
	
	/**
	 * Get the text to show from another section
	 */
	public function in_listing($field, $value) {
		
		// Data regarding 'connection'
		$data = $field['connect'];
		
		// Load the foreign section
		$section = \Load::section($data['section']);
		
		// Get the row and return whatever is defined
		$row = $section->get_row($data['value'], $value);
		return $row[$data['display']];
		
	}
	
}