<?php

namespace Types;
use \Skeletons\Type;

class Select extends Type {
	
	/**
	 * Display a select-box with the given options
	 */
	public function input($field, $value) {
		
		$return = '';
		$return .= '<select name="'.$field['id'].'" id="input-'.$field['id'].'">';
		
		foreach($field['options'] as $key => $text) {
			$return .= '<option value="'.$key.'" '.( $key == $value ? 'selected="selected"' : '' ).'>';
			$return .= $text;
			$return .= '</option>';
		}
		
		$return .= '</select>';
		return $return;
		
	}
	
	/**
	 * Return the "friendly" title of the value
	 */
	public function in_listing($field, $value) {
		return $field['options'][$value];
	}
	
}