<?php

namespace Classes;

class Config {
	
	private $_cache = array();
	
	/**
	 * Get a value from configuration
	 * 
	 * First parameter is the namespace (filename).
	 * The rest are hierarchial keys to the wanted value.
	 * 
	 * If only namespace is given, return the whole array.
	 *
	 * @param string $namespace
	 * @return mixed
	 */
	public function get($namespace) {
		
		$data = isset($this->_cache[$namespace])
			? $this->_cache[$namespace]
			: @require APP.'/config/'.$namespace.'.php';
		
		if(!is_array($data)) return false;
		
		if(func_num_args() == 1) {
			return $data;
		} else {
			
			$return = $data;
			for($i = 1; $i < func_num_args(); $i++) {
				$return = $return[func_get_arg($i)];
			}
			
		}
		
		return $return;
		
	}
	
}