<?php

namespace Classes;

/**
 * Input
 * 
 * Retrieve data from user-input ($_GET, $_POST)
 */
class Input {
	
	/**
	 * Return a value from $_GET
	 *
	 * @param string $name
	 * @return string|false
	 */
	public function get($name = false) {
		
		if($name === false) {
			$params = array();
			foreach($_GET as $key => $value) {
				if($key != '_request') $params[$key] = $value;
			}
			return $params;
		}
		
		return isset($_GET[$name]) ? $_GET[$name] : false;
		
	}
	
	/**
	 * Return a value from $_POST
	 *
	 * @param string $name
	 * @return string|false
	 */
	public function post($name) {
		return isset($_POST[$name]) ? $_POST[$name] : false;
	}
	
	/**
	 * Get request-method (either post or get)
	 *
	 * @return string
	 */
	public function request_method() {
		return $_SERVER['REQUEST_METHOD'] == 'POST' ? 'post' : 'get';
	}
	
}