<?php

namespace Classes;

class Language {
	
	/**
	 * Holds the localized strings
	 *
	 * @var array
	 */
	private $_cache = array();
	
	/**
	 * Load the language-file to cache
	 */
	public function __construct() {
		$this->_cache = \Load::language(\Config::get('general', 'language'));
	}
	
	public function get() {
		
		// The first argument is the string to localize
		$string = func_get_arg(0);
		
		// The rest are the arguments/variables
		$arguments = array();
		for($i = 1; $i < func_num_args(); $i++) $arguments[] = func_get_arg($i);
		
		// Check if we have a localized string and if so, use it
		if(isset($this->_cache[$string])) $string = $this->_cache[$string];
		
		// Then replace anything in the string with supplied data
		return vsprintf($string, $arguments);
		
	}
	
}