<?php

namespace Classes;

/**
 * Registry
 * 
 * Stores and receives anything.
 * 
 * For example, store an instance of a class:
 *     Registry::set('Foo', new Foo);
 * 
 * Then retrieving that instance:
 *     Registry::get('Foo');
 * 
 */
class Registry {
	
	/**
	 * Holds the stored properties
	 *
	 * @var array
	 */
	public $data = array();
	
	/**
	 * Get a stored property by name
	 *
	 * @param string $name
	 * @return mixed
	 */
	public function get($name) {
		return $this->data[$name];
	}
	
	/**
	 * Set a property
	 *
	 * @param string $name
	 * @param mixed $value
	 */
	public function set($name, $value) {
		$this->data[$name] = $value;
	}
	
}