<?php

/**
 * Creates an array of files in a folder
 * 
 * Leaves out '.', '..'
 * 
 * Also excludes files starting with a dot, e.g. '.gitignore'
 * 
 * The second parameter determines if extensions should
 * be included.
 *
 * @param string $path
 * @param boolean $extensions
 * @return array
 */
function folder($path, $extensions = true) {
	
	$exclude = array('.', '..');
	
	$return = array();
	
	foreach(scandir($path) as $file) {
		if(in_array($file, $exclude)) continue;
		if(substr($file, 0, 1) == '.') continue;
		if($extensions !== true) $file = preg_replace('/\.[A-Za-z0-9]+/', '', $file);
		$return[] = $file;
	}
	
	return $return;
	
}