<?php

namespace Skeletons;

class Controller {
	
	public function index() {}
	
	public function restful($request) {
		
		$segments = explode('/', trim($request, '/'));
		
		// Will get overwritten if everything works out
		$response = \Load::view('errors/404');
		
		if($segments[0] == '') {
			
			// If no method is given, use 'index'
			$response = $this->index();
			
		} else {
			
			// Methods begin with either 'post_' or 'get_'
			$method = \Input::request_method().'_'.$segments[0];
			
			if(method_exists($this, $method)) {
				
				// Gather the remaining segments to act as arguments
				$arguments = array();
				for($i = 1; $i < count($segments); $i++) $arguments[] = $segments[$i];
				
				$response = call_user_func_array(array($this, $method), $arguments);
				
			}
			
		}
		
		return $response;
		
	}
	
}