<?php
	
	$title = __($row === false ? 'Add' : 'Edit');
	$title .= ' &raquo '.$section->title;
	
	echo Load::view('templates/header')->with('title', $title);
	
?>
	
	<div class="header">
		
		<a href="<?php echo url($section->url.'/browse'); ?>" class="right button">
			<?php _e('Back'); ?>
		</a>
		
		<h1>
			<?php echo $section->title; ?>: <?php echo $row !== false ? 'Edit' : 'Create'; ?>
		</h1>
		
	</div>
	
	<?php
		// Form action based on whether we add a new row
		// or edit an existing one:
		// - New row:      section/[ID]/save
		// - Existing row: section/[ID]/save/[ROW_ID]
	?>
	
	<form action="<?php echo url($section->url.'/save').( $row !== false ? '/'.$row['id'] : '' ); ?>" method="post" class="form">
		
		<?php if($row !== false): // If editing a row, display its ID ?>
			
			<div class="field">
				
				<label for="input-id">
					ID
				</label>
				
				<div class="content">
					<input type="text" disabled="disabled" value="<?php echo $row['id']; ?>" />
				</div>
				
			</div>
			
		<?php endif; ?>
		
		<?php foreach($section->fields as $field): ?>
			
			<div class="field">
				
				<label for="input-<?php echo $field['id']; ?>">
					<?php echo $field['title']; ?>
				</label>
				
				<?php $value = $row !== false ? $row[$field['id']] : ''; ?>
				
				<div class="content">
					<?php echo Load::type($field['type'])->input($field, $value); ?>
				</div>
				
			</div>
			
		<?php endforeach; ?>
		
		<div class="field">
			
			<div class="content">
				
				<button type="submit">
					<?php _e($row !== false ? 'Save changes' : 'Create'); ?>
				</button>
				
			</div>
			
		</div>
		
	</form>
	
<?php echo Load::view('templates/footer'); ?>